package com.fs.course.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserCourseFollow;

/**
 * 课堂关注Service接口
 *
 * @author fs
 * @date 2024-05-17
 */
public interface IFsUserCourseFollowService
{
    /**
     * 查询课堂关注
     *
     * @param id 课堂关注主键
     * @return 课堂关注
     */
    public FsUserCourseFollow selectFsUserCourseFollowById(Long id);

    /**
     * 查询课堂关注列表
     *
     * @param fsUserCourseFollow 课堂关注
     * @return 课堂关注集合
     */
    public List<FsUserCourseFollow> selectFsUserCourseFollowList(FsUserCourseFollow fsUserCourseFollow);

    /**
     * 新增课堂关注
     *
     * @param fsUserCourseFollow 课堂关注
     * @return 结果
     */
    public int insertFsUserCourseFollow(FsUserCourseFollow fsUserCourseFollow);

    /**
     * 修改课堂关注
     *
     * @param fsUserCourseFollow 课堂关注
     * @return 结果
     */
    public int updateFsUserCourseFollow(FsUserCourseFollow fsUserCourseFollow);

    /**
     * 批量删除课堂关注
     *
     * @param ids 需要删除的课堂关注主键集合
     * @return 结果
     */
    public int deleteFsUserCourseFollowByIds(Long[] ids);

    /**
     * 删除课堂关注信息
     *
     * @param id 课堂关注主键
     * @return 结果
     */
    public int deleteFsUserCourseFollowById(Long id);


    R checkFollow(Long courseId, long userId);

    int deleteFollow(Long courseId, long userId);
}
